Signature generated by signing transaction hash with Private Keys.

### Hierarchy

- TxSignature

## Index

### Properties

- M
- pubKeys
- sigData

### Methods

- serialize
- create
- createAsync
- deserialize

## Properties

### M

M: number

- Defined in transaction/txSignature.ts:106

### pubKeys

pubKeys: PublicKey[]

- Defined in transaction/txSignature.ts:103

Public keys used to create this signature.

### sigData

sigData: string[]

- Defined in transaction/txSignature.ts:109

## Methods

### serialize

- serialize(): string

- - Defined in transaction/txSignature.ts:115

  Serializes signature to Hex representation.

  #### Returns string

### Static create

- create(hash: string, privateKey: PrivateKey, scheme?: SignatureScheme): TxSignature

- - Defined in transaction/txSignature.ts:71

  Creates Transaction signature of hash with supplied private key and scheme.

  If the signature schemas is not provided, the default schemes for the key types are used.

  #### Parameters

  - ##### hash: string

    hash of the transaction

  - ##### privateKey: PrivateKey

    Private key to use

  - ##### Optional scheme: SignatureScheme

    Signature scheme to use

  #### Returns TxSignature

### Static createAsync

- createAsync(hash: string, privateKey: PrivateKey, scheme?: SignatureScheme): Promise<TxSignature>

- - Defined in transaction/txSignature.ts:90

  Creates Transaction signature of hash with supplied private key and scheme asynchroniously.

  If the signature schemas is not provided, the default schemes for the key types are used.

  #### Parameters

  - ##### hash: string

    hash of the transaction

  - ##### privateKey: PrivateKey

    Private key to use

  - ##### Optional scheme: SignatureScheme

    Signature scheme to use

  #### Returns Promise<TxSignature>

### Static deserialize

- deserialize(sr: StringReader): TxSignature

- - Defined in transaction/txSignature.ts:33

  Deserializes hex representation to Transaction Signature

  #### Parameters

  - ##### sr: StringReader

    Hex string reader

  #### Returns TxSignature

Generated using TypeDoc